Subject: bug#18718: Encrypted messages expose Bcc identities

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 27 Dec 2015 19:26:48 +0100

Jens Lechtenboerger <[email-masked]> writes:

> A patch is attached.  The new function mml-secure-bcc-is-safe does
> nothing on its own but can be added to message-send-hook or called
> from message-send and friends.

I've applied the patch, but there were bugs.  It referred to an unbound
variable called "hdr", which I've changed to bcc.  Please look over the
resulting code.

Also, I get these warnings:

In end of data:
gnus/mml-sec.el:429:1:Warning: the following functions are not known to be
    defined: mail-strip-quoted-names, message-fetch-field, gnus-subsetp

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no